Page 1 of 2 12 LastLast
Results 1 to 10 of 20

Thread: when i must upgrade for security reasons?

  1. #1
    cedbl is offline Senior Member
    Join Date
    Oct 2006
    Posts
    69
    Rep Power
    8

    Default when i must upgrade for security reasons?

    Hi
    i'm using zimbra with satisfaction from oss 3
    i use firewall to protect my zimbra server so only apop and https port are public.

    My users use pop services for the most part so I'm happy with 4.5.1 OSS.
    i wonder if zimbra upgrade is usefull for securty reason or not?
    of course i'll continue upgrade but i would like to know when is it critical and when not
    Can you help me?

  2. #2
    phoenix is offline Zimbra Consultant & Moderator
    Join Date
    Sep 2005
    Location
    Vannes, France
    Posts
    23,569
    Rep Power
    57

    Default

    There are bug fixes and performance fixes in every release of Zimbra, you should upgrade to the latest 5.0 release.
    Regards


    Bill


    Acompli: A new adventure for Co-Founder KevinH.

  3. #3
    cedbl is offline Senior Member
    Join Date
    Oct 2006
    Posts
    69
    Rep Power
    8

    Default

    Hi
    i'm confused
    I was ready to upgrade from OSS 4.5.1 (OS opensuse 10.0)
    to OSS 4.5.10
    but now i can find 4.5.10 no more

    even 4.5.9 that i downloaded some week ago there is no more
    look here for example please
    Successful upgrade from OpenSuSE 10.0 (4.5.9 to 5.0)

    ok i pass to zcs 5 but how?

    i find this:

    You MUST update the server OS on 4.5.x before you begin the upgrade to ZCS 5.0. To do this you must first upgrade from 4.5.x to 4.5.10 (which has the current server OS) and THEN you can safely run an upgrade to ZCS 5.0. Not doing so will fail the install.

    Note: not all server operating systems have a 4.5.10 build yet; we will be providing these in the near future. More info.

    I'm not sure to understand the steps:
    1)pass from opensuse 10.0 to opensuse 10.2
    2)upgrade from ZCS OSS 4.5.1 to 5.0
    Am i correct?

    And if i want to pass to Centos 5 is correct this strategy?
    1)pass form zcs 4.5.1 to 4.5.6
    2) pass from 4.5.6 on opensuse10 to 4.5.6 to centos 5
    3) upgrade to zcs 5
    4) hope to not find segmentation fault
    what about step 4?

    Last edited by cedbl; 01-02-2008 at 04:52 AM.

  4. #4
    mmorse's Avatar
    mmorse is offline Moderator
    Join Date
    May 2006
    Location
    USA
    Posts
    6,242
    Rep Power
    21

    Default

    Up to ZCS 4.5.7 FOSS can be found here: SUSE 10 Binary - SourceForge.net: Files
    But here's a direct link to ZCS 4.5.10 FOSS: files.zimbra.com/downloads/4.5.10_GA/zcs-4.5.10_GA_1575.SuSE10.tgz
    Then for your switch to CentOS 5 see /blog/archives/2007/10/moving_zcs_to_another_server.html
    ZCS 5.0.0 can then be found here: /community/downloads.html

    Be sure to have a backup each time - make sure your server can send/receive/is working properly on each upgrade, as it's harder to downgrade zimbra.

    About as simple as you can go besides a disk image:
    su - zimbra
    zmcontrol stop
    exit
    su root (if not already at this point)
    ps aux | grep zimbra (kill -9 pid# of any remaining processes)
    mkdir /zcsbackup
    rsync -avHK /opt/zimbra/ /zcsbackup/zimbra
    mkdir /zcsbackuptars
    tar -zcvf /zcsbackuptars/backup.zimbra.5RC1.20071231.tar.gz -C /zcsbackup/zimbra .
    mv or scp /zcsbackuptars/backup.zimbra.5RC1.20071231.tar.gz /elsewhereAsDesired
    Have the old installers handy in advance so you don't have to wait for any downloading just in case you need to restore

    If you'd rather wait for a 4.5.x version of openSUSE 10.2 that's cool too, read /products/sunset_binaries.html & watch the announcements section for more info.
    Last edited by mmorse; 01-02-2008 at 08:34 PM.

  5. #5
    cedbl is offline Senior Member
    Join Date
    Oct 2006
    Posts
    69
    Rep Power
    8

    Default

    Thanks i will prove upgrade and moving to centos 5

    Quote Originally Posted by mmorse;71320
    But here's a direct link to ZCS 4.5.10 FOSS: [URL="http://files.zimbra.com/downloads/4.5.10_GA/zcs-4.5.10_GA_1575.SuSE10.tgz"
    files.zimbra.com/downloads/4.5.10_GA/zcs-4.5.10_GA_1575.SuSE10.tgz[/URL]
    but why links to 4.5.8 4.5.9 and 4.5.10 are no more visible on zimbra web pages?
    i post this where are FOSS 4.5.9 4.5.10 ?

  6. #6
    mmorse's Avatar
    mmorse is offline Moderator
    Join Date
    May 2006
    Location
    USA
    Posts
    6,242
    Rep Power
    21

    Default

    A solution to get the FOSS 4.5.8+ builds is under construction & tracked by internal RFE 22314.
    FOSS 4.5.7 and earlier can be found on ZCS - SourceForge.net: Files
    ie: Maybe something like /community/downloads_previous.html (as there's already a /products/downloads_previous.html)
    Anyone else let us know the files you need and we'll be happy to provided a link upon request.
    Last edited by mmorse; 01-03-2008 at 09:45 PM.

  7. #7
    Join Date
    Jun 2007
    Posts
    14
    Rep Power
    8

    Default

    Please put the files for older released back online.

    According to pm.zimbra.com

    • 4.5 Frank and
    • 4.0 Edison


    are still supported but it seems you don't want anyone to have this.

    Sorry to sound upset but this is a usage stopper for me, I'm in the middle of the upgrade process (well preparing everything to have it done this week) and now I find that it seems you don't want anyone to use this any more. I can understand that but I (and I guess a couple of other people out there) really need those old releases.

    Please vote for: Bug 23397 - Older Zimbra Community Editions vanished from the download page to show the Zimbra people that we need a fix for this.

    Personally I need the debian 3.1 and ubuntu 4.5 binaries.

  8. #8
    phoenix is offline Zimbra Consultant & Moderator
    Join Date
    Sep 2005
    Location
    Vannes, France
    Posts
    23,569
    Rep Power
    57

    Default

    Quote Originally Posted by martin.marcher View Post
    Please put the files for older released back online.
    They are still on-line and where they have always been: SourceForge.net: Files

    Quote Originally Posted by martin.marcher View Post
    According to pm.zimbra.com

    • 4.5 Frank and
    • 4.0 Edison


    are still supported but it seems you don't want anyone to have this.
    That's rather a silly statement as the files have never gone away.
    Regards


    Bill


    Acompli: A new adventure for Co-Founder KevinH.

  9. #9
    dijichi2 is offline OpenSource Builder & Moderator
    Join Date
    Oct 2005
    Posts
    1,176
    Rep Power
    11

    Default

    That's rather a silly statement as the files have never gone away.
    where is the latest stable 4.5.x then?

  10. #10
    Join Date
    Jun 2007
    Posts
    14
    Rep Power
    8

    Default

    Quote Originally Posted by phoenix View Post
    They are still on-line and where they have always been: SourceForge.net: Files

    That's rather a silly statement as the files have never gone away.
    They are there but only up to 4.5.7 - Could you please if they always have been there give me the sf.net link to the 4.5.8, 4.5.9, and 4.5.10 binaries?

    And I don't think it's silly I think it's strange that files disappear, I'd have expected that 4.5.7 disappear but not 4.5.10 for example.

    Oh and that's what the 4.5.8 "Download" says:
    As of Oct 3rd Zimbra Open Source is now available at:

    http://www.zimbra.com/community/downloads.html
    And the downloads page doesn't even mention that there ever was a some release between 4.5.7 and 5.0 - pm.zimbra.com however mentions a 4.5.11 (which hasn't been released yet - I wonder where that would go then)
    Last edited by martin.marcher; 01-03-2008 at 07:04 AM. Reason: foo

Page 1 of 2 12 LastLast

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Similar Threads

  1. Successful upgrade from OpenSuSE 10.0 (4.5.9 to 5.0)
    By bradb21 in forum Installation
    Replies: 6
    Last Post: 01-02-2008, 11:02 AM
  2. Replies: 2
    Last Post: 10-04-2007, 03:20 PM
  3. 4.01 to 4.02 upgrade problem (with solution)
    By criley in forum Migration
    Replies: 2
    Last Post: 09-28-2006, 11:36 PM
  4. M1 -> M2 Upgrade Scripts
    By KevinH in forum Announcements
    Replies: 57
    Last Post: 12-15-2005, 10:10 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •